org.mariadb.jdbc.internal.util.dao

## Class PrepareResult

- java.lang.Object
- - org.mariadb.jdbc.internal.util.dao.PrepareResult

    public class PrepareResult
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PrepareResult(int statementId, ColumnInformation[] columns, ColumnInformation[] parameters)` PrepareStatement Result object.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `addUse()` Increment use counter.
`ColumnInformation[]` `getColumns()`
`ColumnInformation[]` `getParameters()`
`int` `getStatementId()`
`int` `getUseTime()`
`void` `removeUse()`
`boolean` `setClosedIfUnused()` Asked if closable, set flag closing when possible.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrepareResult

    public PrepareResult(int statementId,
                         ColumnInformation[] columns,
                         ColumnInformation[] parameters)

PrepareStatement Result object.

Parameters:
  `statementId` - server statement Id.
  `columns` - columns information
  `parameters` - parameters information

### Method Detail

#### addUse

    public boolean addUse()

Increment use counter.

Returns:
  true if can be used.

#### removeUse

    public void removeUse()

#### setClosedIfUnused

    public boolean setClosedIfUnused()

Asked if closable, set flag closing when possible.

Returns:
  true if closable.

#### getUseTime

    public int getUseTime()

#### getStatementId

    public int getStatementId()

#### getColumns

    public ColumnInformation[] getColumns()

#### getParameters

    public ColumnInformation[] getParameters()